<?xml version="1.0"?> <!-- -*- Mode: xml; indent-tabs-mode: nil; -*- -->
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<?xml-stylesheet href="chrome://browser/content/places/places.css"?>
<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/skin/places/tree-icons.css"?>
<?xml-stylesheet href="chrome://browser/skin/places/sidebar.css"?>

<!DOCTYPE window [
<!ENTITY % placesDTD SYSTEM "chrome://browser/locale/places/places.dtd">
%placesDTD;
<!ENTITY % editMenuDTD SYSTEM "chrome://global/locale/editMenuOverlay.dtd">
%editMenuDTD;
<!ENTITY % browserDTD SYSTEM "chrome://browser/locale/browser.dtd">
%browserDTD;
]>

<window id="history-panel"
        class="sidebar-panel"
        orient="vertical"
        xmlns:html="http://www.w3.org/1999/xhtml"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
        onload="HistorySidebarInit();"
        onunload="PlacesUIUtils.setMouseoverURL('', window);"
        aria-label="&historyButton.label;">

  <script src="chrome://browser/content/places/historySidebar.js"/>
  <script src="chrome://global/content/globalOverlay.js"/>
  <script src="chrome://browser/content/utilityOverlay.js"/>
  <script src="chrome://browser/content/contentTheme.js"/>
  <script src="chrome://browser/content/places/places-tree.js"/>
  <script src="chrome://global/content/editMenuOverlay.js"/>

  <linkset>
    <html:link rel="localization" href="toolkit/global/textActions.ftl"/>
  </linkset>

#include placesCommands.inc.xhtml

#include ../../../../toolkit/content/editMenuKeys.inc.xhtml
#ifdef XP_MACOSX
  <keyset id="editMenuKeysExtra">
    <key id="key_delete2" keycode="VK_BACK" command="cmd_delete"/>
  </keyset>
#endif

#include placesContextMenu.inc.xhtml
#include bookmarksHistoryTooltip.inc.xhtml

  <hbox id="sidebar-search-container">
    <search-textbox id="search-box" flex="1"
                    placeholder="&historySearch.placeholder;"
                    aria-controls="historyTree"
                    oncommand="searchHistory(this.value);"/>
    <button id="viewButton" style="min-width:0px !important;" type="menu"
            label="&view.label;" accesskey="&view.accesskey;" selectedsort="day"
            persist="selectedsort">
      <menupopup>
        <menuitem id="bydayandsite" label="&byDayAndSite.label;"
                  accesskey="&byDayAndSite.accesskey;" type="radio"
                  oncommand="this.parentNode.parentNode.setAttribute('selectedsort', 'dayandsite'); GroupBy('dayandsite');"/>
        <menuitem id="bysite" label="&bySite.label;"
                  accesskey="&bySite.accesskey;" type="radio"
                  oncommand="this.parentNode.parentNode.setAttribute('selectedsort', 'site'); GroupBy('site');"/>
        <menuitem id="byday" label="&byDate.label;"
                  accesskey="&byDate.accesskey;"
                  type="radio"
                  oncommand="this.parentNode.parentNode.setAttribute('selectedsort', 'day'); GroupBy('day');"/>
        <menuitem id="byvisited" label="&byMostVisited.label;"
                  accesskey="&byMostVisited.accesskey;"
                  type="radio"
                  oncommand="this.parentNode.parentNode.setAttribute('selectedsort', 'visited'); GroupBy('visited');"/>
        <menuitem id="bylastvisited" label="&byLastVisited.label;"
                  accesskey="&byLastVisited.accesskey;"
                  type="radio"
                  oncommand="this.parentNode.parentNode.setAttribute('selectedsort', 'lastvisited'); GroupBy('lastvisited');"/>
      </menupopup>
    </button>
  </hbox>

  <tree id="historyTree"
        class="sidebar-placesTree"
        flex="1"
        is="places-tree"
        hidecolumnpicker="true"
        context="placesContext"
        onkeypress="PlacesUIUtils.onSidebarTreeKeyPress(event);"
        onclick="PlacesUIUtils.onSidebarTreeClick(event);"
        onmousemove="PlacesUIUtils.onSidebarTreeMouseMove(event);"
        onmouseout="PlacesUIUtils.setMouseoverURL('', window);">
    <treecols>
      <treecol id="title" flex="1" primary="true" hideheader="true"/>
    </treecols>
    <treechildren class="sidebar-placesTreechildren" flex="1" tooltip="bhTooltip"/>
  </tree>
</window>
